/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
/// \brief
/// 	Camera trigger modes that can be used with parameter EPar::Cam_TriggerMode.
///
/// 	\attention The order of trigger modes is \b not allowed to be changed.
/// 				If further trigger modes are needed, they must be appended.
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
#ifdef RX_MANAGED_ENUM
	public enum class ETriggerMode
#else
	namespace ETriggerMode
	{
		/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \brief
		/// 	\copybrief Rx::Interop::Runtime30::Camera::ETriggerMode
		/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
		enum ID
#endif
{
	/// No trigger mode.
	None = 0,
	/// The camera triggers new frames itself continuously.
	Camera_FreeRun = 1,
	/// The camera captures a single frame triggered by the software.
	Software_SnapShot = 2,
	/// The camera waits for an external trigger signal and records a single frame using the current exposure settings.
	Extern_Impulse = 4,
};
////////////////////////////////////////////////////////////////////////////////////////////////////
#ifndef RX_MANAGED_ENUM
	}
#endif
