/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
/// <summary>
/// 	Defines the different trigger modes.
/// </summary>
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

#ifdef RX_MANAGED_ENUM
	public enum class ECamTriggerMode
#else
	namespace ECamTriggerMode
	{
		enum ID
#endif
{
	/// <summary> The default status. </summary>
	None = 0,

/// <summary> Single trigger software mode. Call Rx::RayCam::IDevice::Trigger() to receive an image via the callback function. </summary>
	SoftwareSingle,

/// <summary> Continuous software mode. Once called, the callback function is called to deliver the image from the camera, as soon as a new one is available. </summary>
	SoftwareContinuous,

/// <summary> The camera waits on an external trigger. As soon as the trigger arrives, the camera captures an image and the callback function will be called. </summary>
	HardwareFreerun
};
#ifndef RX_MANAGED_ENUM
	}	// Namespace ECamTriggerMode
#endif
