/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
/// <summary>
/// 	Defines the properties that can be used to configure the driver.
/// </summary>
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

#ifdef RX_MANAGED_ENUM
	public enum class EDriverProperty
#else
	namespace EDriverProperty
	{
		enum ID
#endif
{
	/// The default status.
	None = 0,

	/// Specifies the search time out for Rx::RayCam::IDriver::DiscoverDevices() function.  [(double)(W)]
	TimeoutDiscover,

	/// Returns the current API version.  [(string)(R)]
	VersionAPI,

	/// Enable/Disable the GPU utilization. This property has to be set before calling IDriver->InitDriver() to take effect. [(int)(W)]
	EnableGPUProcessing,
};
#ifndef RX_MANAGED_ENUM
	}		// Namespace
#endif
