/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
/// <summary>
/// 	Defines the different image formats.
/// </summary>
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

#ifdef RX_MANAGED_ENUM
	public enum class EImageFormat
#else
	namespace EImageFormat
	{
		enum ID
#endif
{
	/// Image is in RAW format.
	RAW = 0,

	/// Image is in RAW format and has already some image processing.
	RAW_PROC = 1,

	/// Image is in RGBA format.
	RGBA = 2,

	/// Image is in RGBA format and has already some image processing.
	RGBA_PROC = 3,

	/// Image is in RAW format and has been cropped.
	RAW_CROPPED = 4,

	/// Image is processed to luminance.
	RGBA_TO_LUM = 5,

	/// Image is in RGB format.
	RGB = 6,

	/// Image is in BGR format.
	BGR = 7,

	/// Image is in BGRA format.
	BGRA = 8
};
#ifndef RX_MANAGED_ENUM
	}			// Namespace
#endif
